#BaseFrequency.py
# A simple program to output the frequency of a bases in a DNA strand
# Author: Michelle Kuttel

import DNAReverseComp2 #using DNAvalid()

def bfreq(DNA):
    l = len(DNA)
    DNA=DNA.upper() #why do I do this?
    print("\nThe base frequency in",DNA, "is:\n")
    print("A:",DNA.count('A')/l*100,"%",sep='')
    print("T:",DNA.count('T')/l*100,"%",sep='')
    print("G:",DNA.count('G')/l*100,"%",sep='')
    print("C:",DNA.count('C')/l*100,"%",sep='')

while True:
    text=input("Type in a DNA string (press <Enter> key to quit):")
    if not text:
        print("Bye!")
        break
    elif not DNAReverseComp2.DNAvalid(text):
        print("DNA strings contain only the characters 'A','C','G' or 'T'.  Try again.")
    else:  bfreq(text)