# Coin.py
# A program to simulate coin throws until the chosen
# value, "heads" or "tails"
#Author: M. Kuttel 2011

import random
import time

def throws(faceValue):
    Heads=0
    Tails=1
    if (faceValue!= Heads and faceValue!=Tails):
        print("Incorrect face value specified, must be 0 or 1, not",faceValue,"!")
    else:
        t=2
        while(t!= faceValue):
            print("Tossing the coin....", end=" ")
            
            t=random.randint(Heads,Tails)
            time.sleep(2)
            if (t==Heads): print( "Heads!")
            else: print( "Tails!")

if __name__=="__main__":
    playAgain='y'
    while playAgain=='y':
        print("We're going to throw a coin until we get a value.")
        print("Do you want Heads (h) or tails (t)?")
        ans = input("Type 'h' or 't':")
        if ans=='h':
            throws(0)
        elif ans=='t':
            throws(1)
        else:
            print("I said, type 'h' or 't', not", ans, "!!!")
        playAgain=input("Do you want to play again (y or n)?").lower()
        
#now do with sentinel loop so asks if you want to play again
            