#BaseFrequency2.py
# A simple program to output the frequency of a bases in a DNA strand
# Author: Michelle Kuttel

import DNAReverseComp2   #using DNAvalid

def bfreq(DNA):
    l = len(DNA)
    DNA=DNA.upper() #why do I do this?
    print("\nThe base frequency in",DNA, "is:\n")
    output=" {base:^6s}: {perc:>6.2f}%"
    print(output.format(base="A",perc=DNA.count('A')/l*100))
    print(output.format(base="T",perc=DNA.count('T')/l*100))
    print(output.format(base="G",perc=DNA.count('G')/l*100))
    print(output.format(base="C",perc=DNA.count('C')/l*100))


while True:
    text=input("Type in a DNA string (press <Enter> key to quit):")
    if not text:
        print("Bye!")
        break
    elif not DNAReverseComp2.DNAvalid(text):
        print("DNA strings contain only the characters 'A','C','G' or 'T'.  Try again.\n")
    else:  bfreq(text)